package com.ruoyi.asset.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.asset.domain.TbPlace;
import org.apache.ibatis.annotations.Mapper;

/**
 * 地点Mapper接口
 * 
 * @author 原动力
 * @date 2023-03-27
 */
@Mapper
public interface TbPlaceMapper extends BaseMapper<TbPlace>
{
    /**
     * 查询地点
     * 
     * @param id 地点主键
     * @return 地点
     */
    public TbPlace selectTbPlaceById(Long id);

    /**
     * 查询地点列表
     * 
     * @param tbPlace 地点
     * @return 地点集合
     */
    public List<TbPlace> selectTbPlaceList(TbPlace tbPlace);

    /**
     * 新增地点
     * 
     * @param tbPlace 地点
     * @return 结果
     */
    public int insertTbPlace(TbPlace tbPlace);

    /**
     * 修改地点
     * 
     * @param tbPlace 地点
     * @return 结果
     */
    public int updateTbPlace(TbPlace tbPlace);

    /**
     * 删除地点
     * 
     * @param id 地点主键
     * @return 结果
     */
    public int deleteTbPlaceById(Long id);

    /**
     * 批量删除地点
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbPlaceByIds(Long[] ids);
}
